package ink.wgink.gateway.exception;


/**
 * @ClassName: SearchException
 * @Description: 查询异常
 * @Author: WangGeng
 * @Date: 2019/2/26 5:26 PM
 * @Version: 1.0
 **/
public class SearchException extends SystemException {

    public SearchException() {
        super();
    }

    public SearchException(String message) {
        super(message);
    }

    public SearchException(String message, Throwable cause) {
        super(message, cause);
    }

    public SearchException(Throwable cause) {
        super(cause);
    }

    protected SearchException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }
}
